#
# spec file for package gnokii (Version 0.6.14)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bluez-libs bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd krb5 less libacl libattr libcom_err libdrm libgcc41 libical libical-devel libjpeg libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtiff libtool libusb libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gnokii
BuildRequires:  bluez-libs gtk2-devel libical-devel libusb mysql-devel postgresql-devel update-desktop-files
Version:        0.6.14
Release:        27
PreReq:         permissions
Requires:       bluez-libs libical libusb
Autoreqprov:    on
Group:          Hardware/Mobile
License:        GNU General Public License (GPL)
URL:            http://www.gnokii.org/
Summary:        Nokia Connectivity Program
Source:         %{name}-%{version}.tar.bz2
Source1:        xgnokii.desktop
Source2:        gnokii.xpm
Source3:        README.SUSE
Patch0:         %{name}-%{version}-fbusinit.patch
Patch1:         %{name}-%{version}-cvs.patch
Patch2:         %{name}-%{version}-maxlen.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gnokii is a package of programs for communicating with a Nokia cellular
phone in Linux. Read the READMEs in /usr/share/doc/packages/gnokii to
find out which models are supported.



Authors:
--------
    Hugh Blemings <hugh@linuxcare.com>
    Pavel Jank ml. <Pavel.Janik@linux.cz>
    Jn Derfik <ja@mail.upjs.sk>

%debug_package
%package -n xgnokii
Group:          Hardware/Mobile
Summary:        Nokia Connectivity Program
Provides:       gnokii:/usr/share/xgnokii
Requires:       gnokii gtk2

%description -n xgnokii
xgnokii is an X Window System front-end for gnokii. gnokii has to be
installed as well.



Authors:
--------
    Hugh Blemings <hugh@linuxcare.com>
    Pavel Jank ml. <Pavel.Janik@linux.cz>
    Jn Derfik <ja@mail.upjs.sk>

%package -n gnokii-smsd
Group:          Hardware/Mobile
Summary:        Nokia Connectivity Program
Provides:       gnokii:/usr/share/smsd
Requires:       gnokii

%description -n gnokii-smsd
gnokii is a package of programs for communicating with a Nokia cellular
phone in Linux. Please read the READMEs in
/usr/share/doc/packages/gnokii to find out which models are supported.



Authors:
--------
    Hugh Blemings <hugh@linuxcare.com>
    Pavel Jank ml. <Pavel.Janik@linux.cz>
    Jn Derfik <ja@mail.upjs.sk>

%package -n gnokii-devel
Group:          Hardware/Mobile
Summary:        Nokia Connectivity Program
Provides:       gnokii:/usr/share/smsd
Requires:       gnokii
Requires:       libical-devel xorg-x11-devel

%description -n gnokii-devel
gnokii is a package of programs for communicating with a Nokia cellular
phone in Linux. Please read the READMEs in
/usr/share/doc/packages/gnokii to find out which models are supported.



Authors:
--------
    Hugh Blemings <hugh@linuxcare.com>
    Pavel Jank ml. <Pavel.Janik@linux.cz>
    Jn Derfik <ja@mail.upjs.sk>

%prep
%setup -q
%patch0
%patch1
%patch2

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC -Wall -Wno-unused -fstack-protector -fno-strict-aliasing" \
	./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--datadir=%{_datadir} \
	--enable-nls \
	--enable-security \
	--with-x
make -C common all
make -C common/data all
make %{?jobs:-j%jobs}
make -C smsd/ all
make -C smsd/ libpq.la libmysql.la libfile.la

%install
cp %{S:3} .
install -m755 -d $RPM_BUILD_ROOT%{_sysconfdir}
install -m755 -d $RPM_BUILD_ROOT%{_mandir}/man{1,8}
make DESTDIR=$RPM_BUILD_ROOT install 
make DESTDIR=$RPM_BUILD_ROOT -C smsd/ install 
# libtool files not needed. there is no depending program at the moement...
rm $RPM_BUILD_ROOT/%{_libdir}/smsd/libfile.a
rm $RPM_BUILD_ROOT/%{_libdir}/smsd/libfile.la
sed "s:/usr/local/sbin:%{_sbindir}:g" Docs/sample/gnokiirc > $RPM_BUILD_ROOT%{_sysconfdir}/gnokiirc
# man-pages
cp Docs/man/*.1  $RPM_BUILD_ROOT%{_mandir}/man1/
cp Docs/man/*.8  $RPM_BUILD_ROOT%{_mandir}/man8/
cp Docs/man/*.1x $RPM_BUILD_ROOT%{_mandir}/man1/
%{find_lang} %{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 0644 %SOURCE2 \
        $RPM_BUILD_ROOT/usr/share/pixmaps/
%suse_update_desktop_file -i xgnokii System Telephony
# included via %doc
rm $RPM_BUILD_ROOT/usr/share/doc/gnokii/gnapplet.sis
# fixup la file
sed -i -e "s@ [^\ ]*$RPM_BUILD_DIR[^\ ]* @ @" $RPM_BUILD_ROOT/%{_libdir}/libgnokii.la

%post
%{run_ldconfig}
%{run_permissions}

%verifyscript
%verify_permissions -e %{_sbindir}/mgnokiidev

%postun
%{run_ldconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/gnokiirc
%doc COPYING COPYRIGHT ChangeLog MAINTAINERS TODO README.SUSE
%doc Docs/Bugs Docs/CREDITS Docs/CodingStyle Docs/DataCalls-QuickStart Docs/FAQ 
%doc Docs/README* Docs/gettext-howto Docs/gnokii-* Docs/logos.txt Docs/ringtones.txt
%doc %{_mandir}/man1/gnokii.1.gz
%doc %{_mandir}/man1/ppm2nokia.1.gz
%doc %{_mandir}/man1/todologo.1.gz
%doc %{_mandir}/man8/gnokiid.8.gz
%doc %{_mandir}/man8/mgnokiidev.8.gz
%{_bindir}/gnokii
%{_bindir}/todologo
%{_bindir}/ppm2nokia
%{_bindir}/waitcall
%{_libdir}/libgnokii*so*
%{_sbindir}/gnokiid
%verify(not mode) %attr(0755, root, uucp) %{_sbindir}/mgnokiidev

%files -n xgnokii
%defattr(-,root,root)
%doc %{_mandir}/man1/xgnokii.1x.gz
/usr/share/applications/*
/usr/share/pixmaps/*
%{_bindir}/xgnokii
%{_datadir}/xgnokii

%files -n gnokii-smsd
%defattr(-,root,root)
%doc %{_mandir}/man1/sendsms.1.gz
%doc %{_mandir}/man8/smsd.8.gz
%{_bindir}/sendsms
%{_sbindir}/smsd
%{_libdir}/smsd
%{_libdir}/smsd/libfile.so

%files -n gnokii-devel
%defattr(-,root,root)
%{_libdir}/libgnokii.la
%{_libdir}/libgnokii.a
%{_libdir}/pkgconfig/*
%{_includedir}/gnokii.h
%{_includedir}/gnokii

%changelog
* Fri Feb 23 2007 - prusnak@suse.cz
- backported code from CVS fixing buffer overflows (cvs.patch) [#237107]
- fixed 'array subscript out of range' (maxlen.patch)
* Wed Jan 24 2007 - prusnak@suse.cz
- cleaned spec file and thus fixed build errors
* Wed Jan 03 2007 - prusnak@suse.cz
- fixed uninitialised variable (fbusinit.patch) [#231178]
* Tue Dec 05 2006 - prusnak@suse.cz
- moved xgnokii manpage from /usr/X11R6/man to %%{_mandir} [#225092]
* Mon Nov 13 2006 - ro@suse.de
- really remove resmgr support
* Mon Nov 13 2006 - mjancar@suse.cz
- disable resmgr patch (#218662)
* Mon Aug 28 2006 - dgollub@suse.de
- update to 0.6.14
  * gnokii updates
  o added --config and --phone options
  o gnokii functions got splitted in several files
  o ...
  * libgnokii updates
  o added gn_wap_push functions
  o fixed encoding issue on 64bit systems
  o Nokia 6280 and 3220 support added
  o handle new types of telephone numbers
  o added functions to load config from alternate file
  o fixed serveral bugs
  o ...
  * utils updates
  o added 'waitcall' program which can be used in a script
  to get phone number of incoming call.
  o ...
  * nk6510 driver updates
  * nk6100 driver updates
  * documentation updates
  * translation updates
- removed wchar patch for 64bit systems
* Thu Aug 17 2006 - ro@suse.de
- workaround missing makefile deps for parallel make
- call gettextize for mkinstalldirs problem
* Mon Jul 10 2006 - dgollub@suse.de
- fixed encoding problem for 64bit systems (wrong wchar_t casting)
* Mon Jun 19 2006 - dgollub@suse.de
- update to 0.6.13
  * libgnokii updates
  o added library layer
  o added GNOKII_API and GNOKII_DEPRECTAED
  o added support for caller groups
  o added encoding setup function for libgnokii
  o ...
  * nk6510 updates
  o added support for writing extended calendar information
  o Nokia 6680 support added
  o Nokia Series 40 support added
  * device layer updates
  o new libusb driver for dku2 cable (connection = dku2libusb)
  * gnokii, xgnokii, libgnokii bugfixes
- modified resmgr patch (added --enable-resmgr option)
- moved smsd manpages from -devel to -smsd package
- removed smsd libtool files
- moved pkgconfig and .la files to -devel package
- updated descriptions of -devel and -smsd package
- updated authors list
* Mon Jun 12 2006 - poeml@suse.de
- update to 0.6.12
  * nk6510 driver updates
  o Nokia 6015i support added
  o Nokia 6101 support added
  o Nokia 6680 support added
  o Nokia 6235 over IrDA support
  * documentation updates
  o non Nokia phones are supported by AT driver -- express it
  more verbosively
  * atgen driver updates
  o identify should work on phones not supporting "AT+CGxx"
  commands
  * xgnokii, libgnokii, gnokiid bugfixes
- compile with libical instead of its own deprecated ical
  implementation
- compile with -fno-strict-aliasing
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - mjancar@suse.cz
- update to 0.6.10
- compile with -fstack-protector
* Sat Sep 03 2005 - matz@suse.de
- Put -lresmgr in the right place, so that libgnokii.so is linked
  against it. [fixes kdepim3 build]
* Tue Aug 30 2005 - mjancar@suse.cz
- add resmgr support (#62927)
- branch devel subpackage
* Wed Aug 10 2005 - sbrabec@suse.cz
- Do not require -devel packages.
* Mon Aug 01 2005 - mjancar@suse.cz
- update to 0.6.8
* Tue Apr 26 2005 - meissner@suse.de
- fixed 1 byte buffer overflow in sms number handling.
* Thu Apr 14 2005 - mjancar@suse.cz
- fix for gcc 4.0
* Fri Feb 25 2005 - mjancar@suse.cz
- update to 0.6.4
* Wed Dec 15 2004 - hvogel@suse.de
- fix desktop file
* Tue Jul 13 2004 - adrian@suse.de
- drop ical support again.
  libical gets dropped and the functionality is present in kmobile
* Mon Jul 05 2004 - adrian@suse.de
- update to version 0.6.3
- enable bluetooth support
- enable ical support
- enable security support
* Thu Apr 08 2004 - mjancar@suse.cz
- fix permissions verifying (#38641)
* Fri Feb 27 2004 - mjancar@suse.cz
- update to 0.6.0
* Tue Feb 17 2004 - adrian@suse.de
- fix Categories
* Thu Oct 30 2003 - mjancar@suse.cz
- fix permissions
- no root for build
* Thu Oct 16 2003 - mjancar@suse.cz
- fix segfault on exit (#32233)
* Fri Oct 10 2003 - mjancar@suse.cz
- update to 0.5.5
* Fri Aug 15 2003 - adrian@suse.de
- install icon and desktop file
* Fri Jun 20 2003 - mjancar@suse.cz
- fix locales instalation
- use %%{run_ldconfig}
* Tue Jun 17 2003 - mjancar@suse.cz
- update to 0.5.2
- kill obsolete patches
* Wed May 28 2003 - ro@suse.de
- added smssend and ppm2nokia to filelists
* Mon Feb 17 2003 - vbobek@suse.cz
- updated to version 0.5.0pre6
  * source cleanup
  * API improved
  * new features
  * more mobiles working with the driver
  * doc updated
  * bug fixes
  * added subpackage smsd
- added patch for compiling with -fPIC
* Tue Jul 30 2002 - uli@suse.de
- build with -fPIC (fixes x86-64)
* Tue Jul 23 2002 - stark@suse.de
- update to 0.4.2
- fixed type in Makefile
* Mon Jul 15 2002 - stark@suse.de
- update to 0.4.1
- use %%{_libdir} for shared lib
* Fri Jul 12 2002 - stark@suse.de
- update to 0.4.0
* Thu Jul 11 2002 - meissner@suse.de
- auto* rerun.
* Mon Apr 29 2002 - stark@suse.de
- update to 0.3.5
  * This version corrects the datacall problem introduced in 0.3.4.
  This version is only released because there is no stable
  version from the next gnokii series (0.4).
* Tue Mar 19 2002 - stark@suse.de
- security update to 0.3.4 (#14960)
- removed suid-bit from mgnokiidev (-> permissions.easy)
* Mon Oct 01 2001 - stark@suse.de
- use BuildRoot
- update to 0.3.3
- gnokii group is no longer needed -> uucp
- splitted package into gnokii and xgnokii
* Mon Sep 24 2001 - stark@suse.de
- cleanup spec-file a bit
* Sun Sep 23 2001 - stark@suse.de
- removed init-script (gnokiid has to be started for every
  connection)
- removed rc.config variables
* Sun Sep 23 2001 - stark@suse.de
- moved rc-link to /etc/init.d
* Thu Jan 25 2001 - tw@suse.de
- added an init-script to start gnokiid
- install the configuration file.
